D_CRGET(1)

NAME
d_getsequence - get the next number in a sequence

SYNOPSIS
#include <typhoon.h>
d_getsequence(ulong sequenceid, unsigned long *number)

DESCRIPTION
d_getsequence gets the next number in the sequence specified by sequenceid and increments or decrements the sequence. Sequences are guaranteed not to be reused.

DIAGNOSTICS
The status code returned by the function is also stored in the global variable db_status.

S_OKAY
    Operation successful.

S_NOCD
    There is no current database.

S_INVSEQ
    Invalid sequence id.

CURRENCY CHANGES
Current sequence is increased or descreased by the step specified in the ddl-file.

IDENTIFICATION
Author: Thomas B. Pedersen.
Copyright (c) 1995 Thomas B. Pedersen.